# Uses of Enum Class
org.bukkit.block.data.type.Switch.Face

Packages that use Switch.Face
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Switch.Face in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Switch.Face
Modifier and Type
Method
Description
`@NotNull Switch.Face`
Switch.`getFace()`
Deprecated.
use `FaceAttachable.getAttachedFace()`
`static Switch.Face`
Switch.Face.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Switch.Face[]`
Switch.Face.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Switch.Face
Modifier and Type
Method
Description
`void`
Switch.`setFace(@NotNull Switch.Face face)`
Deprecated.
use `FaceAttachable.getAttachedFace()`